import type { NamespaceTable } from "./NameSpaceTable";
import { UABaseNode } from "./UABaseNode";
import type { UANodeSet } from "./UANodeSet";


export interface IAddressSpace {
    nst: NamespaceTable
    nodesets: UANodeSet[];
    mapping:  Map<string, IMappingValue>;
    getSubTreeAsList(nodeId: string): UABaseNode[];
    findNode(nodeId: string):UABaseNode|undefined;
    addNodeset(nodeset: UANodeSet):void;
    getNodeSets(): UANodeSet[];

}

export interface IMappingValue {
    path: string;
    read: string;
    write: string;
  }
